We have compiled a list of manufacturers, distributors, product information, reference prices, and rankings for Activated carbon adsorption device.
ipros is IPROS GMS ・ IPROS One of the largest technical database sites in Japan that collects information on.

Activated carbon adsorption device - Company Ranking(6 companies in total)

Last Updated: Aggregation Period:Sep 09, 2026〜Oct 06, 2026
This ranking is based on the number of page views on our site.

Company Name Featured Products
Product Image, Product Name, Price Range overview Application/Performance example
【Lineup】 ■RFC-1000 ■RFC-3000 ■RFC-8000 ■RFC-14000 *For more details, please refer to the PDF document or feel free to contact us. 【Applications】 ■ Water equipment for food manufacturing ■ Equipment for regeneration treatment ■ Equipment for advanced treatment, etc. *Fo...
【Other Features】 ■ All-in-one package that does not require additional equipment ■ Effective for adsorbing high-concentration oils (n-Hex) a... *For more details, please refer to the materials. Feel free to contact us as well.*
**Features** - Improved adsorption efficiency and regeneration of activated carbon - Reduced running and treatment costs of activated carbon... 【Applications】 ■ Water equipment for food manufacturing ■ Equipment for regeneration treatment ■ Equipment for advanced treatment, etc. *Fo...
---

---

---
  1. Featured Products
    Granular activated carbon adsorption deviceGranular activated carbon adsorption device
    overview
    【Lineup】 ■RFC-1000 ■RFC-3000 ■RFC-8000 ■RFC-14000 *For more details, please refer to the PDF document or feel free to contact us.
    Application/Performance example
    【Applications】 ■ Water equipment for food manufacturing ■ Equipment for regeneration treatment ■ Equipment for advanced treatment, etc. *Fo...
    Activated carbon adsorption device "Reach Filter" extends the life of activated carbon replacement.Activated carbon adsorption device "Reach Filter" extends the life of activated carbon replacement.
    overview
    【Other Features】 ■ All-in-one package that does not require additional equipment ■ Effective for adsorbing high-concentration oils (n-Hex) a...
    Application/Performance example
    *For more details, please refer to the materials. Feel free to contact us as well.*
    Granular Activated Carbon Adsorption Device for Water PurificationGranular Activated Carbon Adsorption Device for Water Purification
    overview
    **Features** - Improved adsorption efficiency and regeneration of activated carbon - Reduced running and treatment costs of activated carbon...
    Application/Performance example
    【Applications】 ■ Water equipment for food manufacturing ■ Equipment for regeneration treatment ■ Equipment for advanced treatment, etc. *Fo...